Free Support Forum - groupdocs.com

GroupDocs.Viewer 1.0 on Plone 4.3


#1

Trying to install GroupDocs.Viewer 1.0 on Plone 4.3 fails. Following the installation instructions, during step bin\buildout.exe, the below error occurs
To me it seems that setup tries to access or write file in my user temp directory. Afaik, thisis not allowed in an easy_install context.


C:\Plone43>bin\buildout
Develop: 'C:\Plone43\src\Products.Carousel’
warning: no files found matching ‘’ under directory 'main_directory’
Develop: 'C:\Plone43\src\groupdocs.viewer’
Warning: no news for this version found
warning: no previously-included files matching '
’ found under directory 'docs_build_sources’
warning: no files found matching '.html’ under directory 'docs_build’
Traceback (most recent call last):
File “c:\users\peter~1.neu\appdata\local\temp\tmpjbpduq”, line 11, in
execfile(‘C:\Plone43\src\groupdocs.viewer\setup.py’)
File “C:\Plone43\src\groupdocs.viewer\setup.py”, line 69, in
paster_plugins=[“templer.localcommands”],
File “C:\Plone43\python\lib\distutils\core.py”, line 113, in setup
_setup_distribution = dist = klass(attrs)
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\setuptools\dist.py”, line 260, in init
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\setuptools\dist.py”, line 284, in fetch_build_eggs
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\pkg_resources.py”, line 563, in resolve
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\pkg_resources.py”, line 799, in best_match
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\pkg_resources.py”, line 811, in obtain
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\setuptools\dist.py”, line 327, in fetch_build_egg
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\setuptools\command\easy_install.py”, line 446, in easy_install
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\setuptools\command\easy_install.py”, line 476, in install_item
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\setuptools\command\easy_install.py”, line 655, in install_eggs
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\setuptools\command\easy_install.py”, line 930, in build_and_install
File “c:\plone43\eggs\setuptools-0.6c11-py2.6.egg\setuptools\command\easy_install.py”, line 921, in run_setup
distutils.errors.DistutilsError: Setup script exited with error: Setup script exited with error: Setup script exited wit
h error: Setup script exited with error: SandboxViolation: open(‘build\bdist.win-amd64\egg\paste\evalexception\medi
a\MochiKit.packed.js’, ‘wb’) {}

The package setup script has attempted to modify files on your system
that are not within the EasyInstall build area, and has been aborted.

This package cannot be safely installed by EasyInstall, and may not
support alternate installation locations even if you run its setup
script by hand. Please inform the package’s author and the EasyInstall
maintainers to find out if a fix or workaround is available.
While:
Installing.
Processing develop directory ‘C:\Plone43\src\groupdocs.viewer’.

An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
File “c:\plone43\eggs\zc.buildout-1.7.1-py2.6.egg\zc\buildout\buildout.py”, line 1866, in main
getattr(buildout, command)(args)
File “c:\plone43\eggs\zc.buildout-1.7.1-py2.6.egg\zc\buildout\buildout.py”, line 487, in install
installed_develop_eggs = self._develop()
File “c:\plone43\eggs\zc.buildout-1.7.1-py2.6.egg\zc\buildout\buildout.py”, line 727, in _develop
zc.buildout.easy_install.develop(setup, dest)
File “c:\plone43\eggs\zc.buildout-1.7.1-py2.6.egg\zc\buildout\easy_install.py”, line 1184, in develop
args) == 0
AssertionError
************* PICKED VERSIONS ****************


#2

Hello,


We are sorry to hear that you have such issue. Sorry but the Plone 4.3 doesn’t supported by our plugin. The max supported version is 4.2.

If licensed users will require support for this version of the Plone - then we will add it to our road map.

Sorry for the inconvenience.